﻿.content {
    width: 1300px;
    max-width: 1300px;
    margin: auto;
}

.category {
    user-select: none;
    height: 36px;
    line-height: 36px;
    font-size: 14px;
}

    .category .classList-page-nav {
        height: 40px;
        display: flex;
        align-items: center;
    }

        .category .classList-page-nav .coon {
            width: 17px;
            height: 17px;
            margin-right: 12px;
        }

.classList-page-nav-img {
    width: 16px;
    margin-left: 5px;
    margin-right: 5px;
}

.link {
    color: #0051a4;
    cursor: pointer;
    margin: auto 2px
}


.detail-up {
    display: flex;
    width: calc(100% - 321px);
    display: flex;
    margin-top: 20px;
    background-color: #fff;
    padding: 20px;
    /**/
    overflow: hidden;
    vertical-align: top;
}

    .detail-up .left {
        width: 450px;
        margin-right: 20px;
    }

        .detail-up .left .big-img {
            position: relative;
            display: block;
            text-align: center;
            width: 100%;
            line-height: 448px;
            border: 1px solid #eaeaea;
            box-sizing: border-box;
            height: 460px;
        }


            /* ******8 */
            .detail-up .left .big-img .bigimg {
                position: relative;
                display: inline-block;
                overflow: hidden;
                max-width: 100%;
                width: 100%;
                max-height: 98%;
                vertical-align: middle;
            }


            .detail-up .left .big-img .prod-video {
                width: 100%;
                height: 100%;
                background-color: #000;
            }


        /* 8888 */
        .detail-up .left .small-img {
            position: relative;
            width: 100%;
            margin-top: 14px;
        }

            .detail-up .left .small-img .img-box {
                height: 62px;
                overflow: hidden;
                position: relative;
                margin: 0;
                width: 27vw;
            }


                .detail-up .left .small-img .img-box .offset-box {
                    position: absolute;
                    left: 0;
                    transition: all 0.3s;
                }

                .detail-up .left .small-img .img-box .item {
                    display: inline-block;
                    width: 62px;
                    height: 60px;
                    font-size: 0;
                    line-height: 60px;
                    text-align: center;
                    cursor: pointer;
                    position: relative;
                    overflow: hidden;
                    vertical-align: middle;
                }


                    .detail-up .left .small-img .img-box .item.active {
                        border: 1px solid #e1251b;
                    }

                    .detail-up .left .small-img .img-box .item:hover {
                        border: 1px solid #e1251b;
                    }

                .detail-up .left .small-img .img-box .offset-box :first-child {
                    margin-left: 0;
                    /*   border: 1px solid #e1251b;*/
                }


        .detail-up .left .down-box {
            display: flex;
            align-items: center;
            color: #999;
            margin-top: 12px;
        }

.down-box {
    justify-content: left;
    flex-wrap: wrap;
}

.detail-up .info {
    position: relative;
    flex: 1;
}

    .detail-up .info .name-box {
        margin-bottom: 15px;
        min-height: 44px;
    }

        .detail-up .info .name-box .name {
            font-weight: 700;
            line-height: 22px;
            word-wrap: break-word;
            overflow: hidden;
        }

.name {
    font-size: 18px;
    width: 96%;
}

.freeShipCateName {
    display: inline-block;
    border: 1px solid #ec2d2d;
    color: #ec2d2d;
    padding: 2px 6px;
    margin-top: 6px;
}

.detail-up .info .name-box .des {
    width: 587px;
    margin-top: 8px;
    color: #999;
    line-height: 16px;
    font-size: 12px;
    word-wrap: break-word;
}

.detail-up .info .price-box {
    display: flex;
    flex-direction: row;
    position: relative;
    background: #f9f9f9;
    background-color: #fff;
    border-top: 1px dotted #eee;
    border-bottom: 1px dotted #eee;
    padding: 0 20px 18px;
    margin-top: -1px;
    /*    z-index: 99;*/
    align-content: start;
}


    .detail-up .info .price-box .flexLeft {
        flex-grow: 1;
    }

    .detail-up .info .price-box .item {
        display: flex;
        align-items: center;
        margin-top: 15px;
    }

.item .tit {
    width: 64px;
    color: #999;
    text-align-last: justify;
    margin-right: 29px;
    font-size: 14px;
}



.goods-price {
    height: 24px;
    line-height: 24px;
}

.detail-up .info .price-box .item.goods-price .con {
    display: flex;
}

.detail-up .info .price-box .item .con {
    flex: 1;
}

.con {
    position: relative;
}


.detail-up .info .price-box .item.goods-price .con .price {
    font-size: 20px;
    color: #e1251b;
}

.detail-up .info .price-box .item.goods-price .con .old-price {
    font-family: arial;
    color: #999;
    text-decoration: line-through;
    margin-left: 10px;
}

.goods-price {
    height: 24px;
    line-height: 24px;
}



.detail-up .info .price-box .item.goods-price .con .txt {
    font-family: arial;
    color: #999;
    margin-left: 10px;
    display: inline-block;
}

.flexRight {
    flex-grow: 1;
}



.goods-price {
    height: 24px;
    line-height: 24px;
}

.detail-up .info .sku-box {
    margin-top: 1px;
    padding-top: 19px;
    padding-bottom: 10px;
    /* background: #f9f9f9; */
}

    .detail-up .info .sku-box .items.sku-text {
        align-items: flex-start;
    }

    .detail-up .info .sku-box .items {
        display: flex;
        margin-top: 2px;
    }

        .detail-up .info .sku-box .items .tit {
            margin: 0 15px;
            color: #999;
            display: block;
            line-height: 30px;
            font-size: 14px;
        }

        .detail-up .info .sku-box .items .con {
            flex: 1;
            display: flex;
            align-items: center;
            flex-wrap: wrap;
        }

            .detail-up .info .sku-box .items .con .item {
                display: inline-block;
                border: 1px solid #ddd;
                position: relative;
                margin-right: 10px;
                margin-bottom: 10px;
                vertical-align: middle;
                transition: all 0.2s;
                cursor: pointer;
            }


        .detail-up .info .sku-box .items.sku-text .con .item .bigimg1 {
            width: 40px;
            height: 40px;
            margin-right: 10px;
            vertical-align: middle;
        }

.centerSpan {
    margin-left: 10px;
    vertical-align: middle;
}

.detail-up .info .sku-box .items.sku-text .con .item {
    display: flex;
    align-items: center;
    padding: 5px 20px;
    line-height: 30px;
    background-color: #fff;
}



.detail-up .info .sku-box .items.sku-text {
    align-items: flex-start;
}

.detail-up .info .sku-box .items {
    display: flex;
    margin-top: 2px;
}



    .detail-up .info .sku-box .items .con .item.active,
    .detail-up .info .sku-box .items .con .item :hover {
        color: #e1251b;
        border-color: #e1251b;
    }

    .detail-up .info .sku-box .items.number {
        margin-top: 10px;
        flex-grow: 1;
    }

.detail-up .info .sku-box .items {
    display: flex;
    align-items: center;
}




    .detail-up .info .sku-box .items .con .goods-number {
        height: 30px;
        border: 1px solid #ddd;
    }

.goods-number {
    display: flex;
    justify-content: space-between;
    width: 180px;
}

.detail-up .info .sku-box .items .con .goods-number .limit {
    cursor: not-allowed;
    color: #ccc;
}

.detail-up .info .sku-box .items .con .goods-number .reduce {
    border-right: 1px solid #ddd;
    display: inline-block;
    vertical-align: top;
    width: 36px;
    height: 30px;
    font-size: 22px;
    text-align: center;
    line-height: 26px;
    color: #999;
    cursor: pointer;
    background-color: white;
}

.detail-up .info .sku-box .items .con .goods-number .number {
    width: 40px;
    height: 30px;
    text-align: center;
    font-family: arial;
    vertical-align: top;
    flex-grow: 1;
}




.detail-up .info .sku-box .items .con .goods-number .increase {
    display: inline-block;
    vertical-align: top;
    width: 36px;
    height: 30px;
    font-size: 22px;
    text-align: center;
    line-height: 26px;
    color: #999;
    cursor: pointer;
    border-left: 1px solid #ddd;
    background-color: white;
}

.bgcImg {
    height: 2px;
    width: 100%;
    overflow: hidden;
    background-image: url(/Images/ProDetail/line.png);
    background-repeat: repeat-x;
}

.detail-up .info .btns {
    margin-top: 30px;
    padding-left: 15px;
}

.btns {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.posR {
    position: relative;
}

.detail-up .info .btns .buy-now {
    background: #e1251b;
    color: #fff;
    margin-right: 10px;
    font-size: 16px;
    text-align: center;
    box-sizing: border-box;
    cursor: pointer;
    padding: 12px 20px;
    margin: auto 30px;
    border: none;
}



.detail-up .info .btns .add-cart {
    color: #e1251b;
    background: #ffecec;
    border: 1px solid #e1251b;
    border-radius: 1px;
    font-size: 16px;
    text-align: center;
    box-sizing: border-box;
    cursor: pointer;
    padding: 12px 20px;
    margin: auto 30px;
}

.enquiry {
    background: #e1251b;
    color: #fff;
    margin-right: 10px;
    width: 168px;
    height: 48px;
    font-size: 16px;
    text-align: center;
    box-sizing: border-box;
    cursor: pointer;
    padding: 12px 20px;
    border: none;
}


.guess-like-prod {
    position: relative;
    width: 246px;
    display: inline-block;
    vertical-align: top;
    box-sizing: border-box;
    margin-top: 20px;
}

.tuiJian {
    height: 50px;
    line-height: 50px;
    text-align: center;
    font-size: 14px;
}

.guess-like-prod .con {
    display: flex;
    flex-direction: column;
}

.con {
    position: relative;
}

    .con > span {
        color: #333;
    }

.conBefore {
    top: -4%;
    left: 50%;
    transform: translateX(-50%) rotate(270deg);
}

.conAfter {
    bottom: -6%;
    left: 50%;
    transform: translateX(-50%) rotate(90deg);
}

.conAfter,
.conBefore {
    text-decoration: none;
    font-size: 18px;
    position: absolute;
    cursor: pointer;
    transition: all 0.3s;
    user-select: none;
}

.guess-like-prod .con .item {
    width: 100%;
    text-align: center;
    cursor: pointer;
}

    .guess-like-prod .con .item .prod-img {
        position: relative;
        width: 180px;
        height: 180px;
        margin: 10px auto 0;
    }

        .guess-like-prod .con .item .prod-img img {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            width: 100%;
            height: 100%;
        }

img {
    overflow-clip-margin: content-box;
    overflow: clip;
}

.guess-like-prod .con .item .prod-name {
    width: 180px;
    font-size: 16px;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    margin: 10px auto 0;
    box-sizing: border-box;
    text-align: left;
}

.guess-like-prod .con .item .prod-price {
    width: 180px;
    font-size: 14px;
    color: #e1251b;
    margin: 10px auto 0;
    text-align: left;
}

.detail-down {
    display: flex;
    margin-top: 40px;
}

    .detail-down .introduce-box {
        flex: 1;
        width: 949px;
    }

        .detail-down .introduce-box .tab {
            display: flex;
            height: 48px;
            line-height: 44px;
            /*            background: #f8f8f8;*/
            box-sizing: border-box;
            border: 1px solid #eaeaea;
        }

            .detail-down .introduce-box .tab .item.active {
                color: #e1251b;
                padding-top: 0;
                border-top: 4px solid #e1251b;
                background: #fff;
            }

            .detail-down .introduce-box .tab .item {
                padding: 4px 30px 0;
                font-size: 14px;
                color: #999;
                border-left: 2px solid #eaeaea;
                border-right: 2px solid #eaeaea;
                border-top: none;
                border-bottom: none;
                /*border:none;*/
                transition: all 0.2s;
                cursor: pointer;
                margin-left: -1px;
                margin-top: -1px;
            }

        .detail-down .introduce-box .introduce {
            margin-top: 10px;
            word-break: break-word;
        }

            .detail-down .introduce-box .introduce img {
                display: block;
                max-width: 100%;
                margin: 0 auto;
            }

.tishi_error {
    color: red;
}

.el-dialog__wrapper {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    overflow: auto;
    margin: 0;
    z-index: 2003;
    background: rgba(0, 0, 0, 0.5); /* 黑色半透明背景 */
}

.el-dialog {
    position: relative;
    margin: 0 auto 50px;
    background: #fff;
    border-radius: 2px;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.3);
    box-sizing: border-box;
    width: 50%;
    margin-top: 15vh;
}

.el-dialog__header {
    border-bottom: 1px solid #eee;
    padding: 20px 20px 10px;
}

.el-dialog__title {
    line-height: 24px;
    font-size: 18px;
    color: #303133;
}

.el-dialog__headerbtn {
    position: absolute;
    height: 15px;
    width: 15px;
    top: 20px;
    right: 20px;
    padding: 0;
    background: 0 0;
    border: none;
    outline: 0;
    cursor: pointer;
    font-size: 16px;
    color: #909399;
}

.el-dialog__body {
    padding: 10px 15px;
    color: #606266;
    font-size: 14px;
    word-break: break-all;
}

.el-form-item {
    margin-bottom: 22px;
}

.el-form-item__label {
    text-align: right;
    vertical-align: middle;
    float: left;
    font-size: 14px;
    color: #606266;
    line-height: 40px;
    padding: 0 12px 0 0;
    box-sizing: border-box;
    width: 80px;
}


.el-form-item__content {
    line-height: 40px;
    position: relative;
    font-size: 14px;
    margin-left: 80px;
}

.el-input {
    position: relative;
    font-size: 14px;
    display: inline-block;
    height: 32px;
    width: 100%;
}

.el-input__inner {
    background-color: #fff;
    border-radius: 4px;
    border: 1px solid #dcdfe6;
    box-sizing: border-box;
    color: #606266;
    display: inline-block;
    font-size: inherit;
    height: 40px;
    line-height: 40px;
    outline: 0;
    padding: 0 15px;
    transition: border-color .2s cubic-bezier(.645,.045,.355,1);
    width: 100%;
}

.el-form-item__error {
    color: #f56c6c;
    font-size: 12px;
    line-height: 1;
    padding-top: 4px;
    position: absolute;
    top: 100%;
    left: 0;
}

.el-dialog__footer {
    padding: 10px 20px 20px;
    text-align: right;
    box-sizing: border-box;
    padding-top: 0;
}

.el-button {
    display: inline-block;
    line-height: 1;
    white-space: nowrap;
    cursor: pointer;
    background: #fff;
    border: 1px solid #dcdfe6;
    text-align: center;
    box-sizing: border-box;
    outline: 0;
    margin: 0;
    transition: 0.1s;
    font-weight: 500;
    padding: 12px 20px;
    font-size: 14px;
    border-radius: 4px;
}

    .el-button .el-button {
        margin-left: 10px;
    }

.el-button--default {
    margin-right: 15px;
}

.el-button--primary {
    color: #fff;
    background-color: #0051a4;
    border-color: #0051a4;
}

.el-dialog__header {
    border-bottom: 1px solid #eee;
    padding: 20px 20px 10px;
}

.bg-light {
    font-family: arial;
    color: #333;
    font-size: 16px;
    vertical-align: top;
    font-weight: 700;
    background-color: #f8f9fa;
    box-sizing: border-box;
}

.pl-2 {
    padding-left: 0.5rem;
    box-sizing: border-box;
    width: 100%;
    word-wrap: break-word;
    font-family: arial;
    color: #333;
    font-size: 16px;
}
